ConsolePanel (gCube Resource Management Portlet 6.4.0-4.7.0-150651 API)
Date: 2017-10-12

org.gcube.portlets.admin.resourcemanagement.client.widgets.console

## Class ConsolePanel

- java.lang.Object
- - org.gcube.portlets.admin.resourcemanagement.client.widgets.console.ConsolePanel

- All Implemented Interfaces:
    DetachablePanel.DetachablePanelHandler

      public class ConsolePanel
      extends Object
      implements DetachablePanel.DetachablePanelHandler

  Consists of a widgets containing a grid with all the `ConsoleMessage` raised in the system.
  Author:
    Daniele Strollo (ISTI-CNR)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsolePanel(DetachablePanel rootPanel)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DetachablePanel` | `getContainer()`
    `com.google.gwt.user.client.ui.Widget` | `getWidget()`
    `boolean` | `handle(ConsoleMessage event)`
    `void` | `onDetachEvent(DetachablePanel container, com.extjs.gxt.ui.client.widget.Component content)`
    `void` | `onEmbedEvent(DetachablePanel container, com.extjs.gxt.ui.client.widget.Component content)`
    `void` | `refresh()` Is invoked by the time renderer on client side.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsolePanel

          public ConsolePanel(DetachablePanel rootPanel)

  - ### Method Detail

    - #### handle

          public final boolean handle(ConsoleMessage event)

    - #### refresh

          public final void refresh()

      Is invoked by the time renderer on client side. It forces the row to refresh after it has received from the server side the required data.
      See Also:
        `ConsoleMessage`

    - #### getContainer

          public final DetachablePanel getContainer()

    - #### getWidget

          public final com.google.gwt.user.client.ui.Widget getWidget()

    - #### onDetachEvent

          public final void onDetachEvent(DetachablePanel container,
                                          com.extjs.gxt.ui.client.widget.Component content)

      Specified by:
        `onDetachEvent` in interface `DetachablePanel.DetachablePanelHandler`

    - #### onEmbedEvent

          public final void onEmbedEvent(DetachablePanel container,
                                         com.extjs.gxt.ui.client.widget.Component content)

      Specified by:
        `onEmbedEvent` in interface `DetachablePanel.DetachablePanelHandler`

Copyright © 2017. All Rights Reserved.